@import url("https://fonts.googleapis.com/css2?family=Architects+Daughter&family=Caveat:wght@700&family=Dongle&family=Itim&family=Outfit:wght@300&display=swap");

body {
    background-color: #f1f2f6;
}

/* Sembunyikan panah samping nomor */
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type="number"] {
    -moz-appearance: textfield;
}

.progress-bar1 {
    height: 8px;
    background: #04aa6d;
    width: 0%;
}

.box {
    display: none;
}

.navprogress {
    position: fixed;
    top: 0;
    margin-top: 55px;
    z-index: 1;
    width: 100%;
}

.navbar-brand:hover {
    color: yellow !important;
    font-weight: 500;
}

.myname {
    font-size: 3.2rem;
    font-family: "Outfit", sans-serif;
}

.lead {
    font-size: 1.6rem;
    font-family: "Itim", cursive;
}

.carousel-click {
    font-family: "Architects Daughter", cursive;
    background-color: yellow;
    width: 100px;
    animation-name: carousel-click;
    animation-duration: 1.05s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

@keyframes carousel-click {
    0% {
        opacity: 1;
    }
    50% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

.an-img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate3d(-50%, -49%, 80px);
    max-width: 310px;
    transition: 0.5s;
}

.img-thumbnail {
    box-shadow: 0 3px 20px rgba(0, 0, 0, 0.5);
    background-color: white;
    margin-top: -100px;
}

.jumbotron {
    background-color: #a4b0be;
}

#portfolio {
    background-color: #a4b0be;
}

.sertifikat {
    overflow: hidden;
    transition: 0.2s;
    font-size: 2.4rem;
    text-decoration: none;
    font-family: "Caveat", cursive;
    letter-spacing: 2px;
}

.sertifikat span {
    position: absolute;
    display: block;
}

.sertifikat:hover {
    color: teal;
    background: yellow;
    box-shadow: 0 0 10px yellow, 0 0 40px yellow, 0 0 80px yellow;
    transition-delay: 0.2s;
}

.sertifikat span:nth-child(1) {
    background: linear-gradient(90deg, transparent, red);
    animation-name: garis;
    animation-duration: 2.8s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}
.sertifikat span:nth-child(2) {
    background: linear-gradient(180deg, transparent, red);
    animation-name: garis2;
    animation-duration: 2.8s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}
.sertifikat span:nth-child(3) {
    background: linear-gradient(270deg, transparent, red);
    animation-name: garis3;
    animation-duration: 2.8s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}
.sertifikat span:nth-child(4) {
    background: linear-gradient(360deg, transparent, red);
    animation-name: garis4;
    animation-duration: 2.8s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

@keyframes garis {
    0% {
        top: 0;
        left: -100%;
        width: 100%;
        height: 4px;
    }
    25% {
        left: 100%;
    }
    50% {
    }
    75% {
    }
    100% {
    }
}
@keyframes garis2 {
    0% {
    }
    25% {
        right: 0;
        top: -100%;
        height: 100%;
        width: 4px;
        background: linear-gradient(180deg, transparent, red);
    }
    50% {
        top: 100%;
    }
    75% {
    }
    100% {
    }
}

@keyframes garis3 {
    0% {
    }
    25% {
    }
    50% {
        bottom: 0;
        right: -100%;
        width: 100%;
        height: 4px;
        background: linear-gradient(270deg, transparent, red);
    }
    75% {
        right: 100%;
    }
    100% {
    }
}

@keyframes garis4 {
    0% {
    }
    25% {
    }
    50% {
    }
    75% {
        left: 0;
        bottom: -100%;
        height: 100%;
        width: 4px;
        background: linear-gradient(360deg, transparent, red);
    }
    90% {
        bottom: 100%;
    }
    100% {
    }
}

.sertifikat:hover span {
    animation: none;
}

section {
    padding-top: 4rem;
    overflow-x: hidden;
}

.active {
    color: yellow !important;
}

.sudut {
    border-radius: 13px;
}

/* box-section */
.an-box {
    position: relative;
    background-color: #778ca3;
    border-radius: 10px;
    height: 500px;
    transform-style: preserve-3d;
}

.an-box-h2 {
    /* content: "PHP"; */
    position: absolute;
    color: #fff;
    font-size: 6em;
    font-weight: bold;
    font-style: italic;
    top: 30px;
    left: 50%;
    transform: translate(-50%, 0);
    opacity: 0;
    transition: 0.5s;
}

.an-box:hover .an-box-h2 {
    opacity: 0.2;
}

.an-name {
    top: 0;
    width: 100%;
    position: absolute;
    color: white;
    text-align: center;
    font-size: 2em;
    opacity: 0;
    transition: 0.5s;
    transform: translate3d(0, 0, 50px);
}

.an-box:hover .an-name {
    top: 30px;
    opacity: 1;
}
/* 
.an-detail-button {
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translate3d(-50%, 0, 100px);
    opacity: 0;
    transition: 0.5s;
} */

.an-box:hover .an-detail-button {
    opacity: 1;
    bottom: 20px;
}

.an-box:hover .an-img {
    transform: translate3d(-50%, -42%, 100px) scale(1.2);
}

.kirim {
    color: #ff6700;
    position: relative;
    display: inline-block;
}

.kirim span {
    display: block;
    position: absolute;
    background-color: #ff6700;
}

.kirim span:nth-child(1) {
    left: 0;
    bottom: 0;
    width: 2px;
    height: 100%;
    transform: scaleY(0);
    transform-origin: top;
    transition: transform 0.3s;
}

.kirim:hover span:nth-child(1) {
    transform: scaleY(1);
    transform-origin: bottom;
    transition: transform 0.3s;
}

.kirim span:nth-child(2) {
    left: 0;
    bottom: 0;
    width: 100%;
    height: 2px;
    transform: scaleX(0);
    transform-origin: right;
    transition: transform 0.3s;
}

.kirim:hover span:nth-child(2) {
    transform: scaleX(1);
    transform-origin: bottom;
    transition: transform 0.3s;
}

.kirim span:nth-child(3) {
    right: 0;
    bottom: 0;
    width: 2px;
    height: 100%;
    transform: scaleY(0);
    transform-origin: top;
    transition: transform 0.3s;
    transition-delay: 0.3s;
}

.kirim:hover span:nth-child(3) {
    transform: scaleY(1);
    transform-origin: bottom;
    transition: transform 0.3s;
    transition-delay: 0.3s;
}

.kirim span:nth-child(4) {
    left: 0;
    top: 0;
    width: 100%;
    height: 2px;
    transform: scaleX(0);
    transform-origin: right;
    transition: transform 0.3s;
    transition-delay: 0.3s;
}

.kirim:hover span:nth-child(4) {
    transform: scaleX(1);
    transform-origin: left;
    transition: transform 0.3s;
    transition-delay: 0.3s;
}

.kirim:active {
    transform: translate(0, 7%);
    margin-bottom: -1px;
    border-bottom: 2px solid transparent !important;
}

.kirim:active span {
    display: none;
}

.kunjungi {
    color: white;
    font-size: 2em;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    display: flex;
    bottom: 0;
    opacity: 0;
}

.bi-caret-down-fill {
    position: absolute;
    animation: down;
    animation-duration: 0.9s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

@keyframes down {
    0% {
        top: 10%;
    }
    50% {
        top: 40%;
    }
    100% {
        top: 10%;
    }
}

.kunjungi span {
    margin: auto;
}

.load-more {
    font-weight: bold;
    border-bottom: 5px solid #7fff00;
    padding-right: 37px;
    width: fit-content;
    position: absolute;
}

.buttonicon {
    overflow: hidden;
    display: flex;
    border-radius: 50px;
    background-color: white;
}

.icon {
    font-size: 1.8rem;
    padding: 4px 12px;
    border-radius: 50px;
    background-color: yellow;
}

.shopee:hover .icon {
    color: white;
    background-color: #ef4e2d;
}

.instagram:hover .icon {
    color: white;
    background-color: #e84393;
}

.linkedin:hover .icon {
    color: white;
    background-color: #0d6efd;
}

.shopee::after,
.instagram::after,
.linkedin::after {
    font-family: "Dongle", sans-serif;
    width: 0;
    font-size: 2.2rem;
    padding-right: 8px;
    transition: 0.5s;
    opacity: 0;
    transition-timing-function: ease-out;
    padding-right: 0;
    margin-bottom: -5px;
}

.shopee:hover::after,
.instagram:hover::after,
.linkedin:hover::after {
    opacity: 1;
    margin-left: 10px;
}

.shopee::after {
    content: "Shopee";
    color: #ef4e2d;
}

.shopee:hover::after {
    width: 90px;
}

.instagram::after {
    content: "Instagram";
    color: #e84393;
}

.instagram:hover::after {
    width: 115px;
}

.linkedin::after {
    content: "Linkedin";
    color: #0d6efd;
}

.linkedin:hover::after {
    width: 95px;
}

.wrapper.buttonicon.icon {
    display: inline-block;
    height: 60px;
    width: 60px;
    text-align: center;
    border-radius: 50px;
}

.a-kunjungi:hover .kunjungi {
    opacity: 1;
    background-color: rgba(128, 128, 128, 0.562);
}

.nav-link:hover::after {
    content: "";
    display: block;
    border-bottom: 3px solid #f8f8ff;
    width: 50%;
    margin: auto;
    margin-bottom: -3px;
}

.button-top {
    background-color: rgba(0, 0, 0, 0.15);
    position: fixed;
    right: 100px;
    font-size: 2rem;
    bottom: 100px;
    z-index: 99;
    animation: atas;
    animation-duration: 1.6s;
    animation-iteration-count: infinite;
    animation-timing-function: ease-in;
    transition: height 0.5s;
}

.garis-bounce {
    position: fixed;
    bottom: 99px;
    right: 115px;
    width: 30px;
    border-bottom: #7fff00 solid 1px;
}

.atas {
    animation: arah;
    animation-duration: 1.6s;
    animation-iteration-count: infinite;
    animation-timing-function: ease-in;
    transition: height 0.5s;
    color: #7fff00;
}

@keyframes arah {
    0%,
    50%,
    to {
        height: 70px;
        transform: scale(1, 1);
    }

    20%,
    70%,
    to {
        height: 50px;
        transform: scale(1, 0.4);
    }
    100% {
        height: 70px;
        transform: scale(1, 1);
    }
}

@keyframes atas {
    0%,
    50%,
    to {
        bottom: 130px;
        height: 70px;
    }

    20%,
    70%,
    to {
        bottom: 100px;
        height: 50px;
    }
    100% {
        bottom: 130px;
        height: 70px;
    }
}

.carousel-caption {
    top: 5px;
    right: 40%;
}

@media only screen and (max-width: 768px) {
    .img-thumbnail {
        width: 100px;
        margin-top: -50px;
    }
    .port-small {
        display: none;
    }
    .icon {
        font-size: 1rem;
        padding: 8px 12px;
    }
    .shopee::after,
    .instagram::after,
    .linkedin::after {
        font-size: 1.45rem;
    }

    .shopee:hover::after {
        width: 60px;
        margin-left: 7px;
    }

    .instagram:hover::after {
        width: 77px;
        margin-left: 7px;
    }

    .linkedin:hover::after {
        width: 63px;
        margin-left: 7px;
    }

    .an-img {
        max-width: 80px;
    }

    .an-box:hover .an-box-h2 {
        opacity: 0.2;
        top: 20px;
    }
    .an-box:hover .an-img {
        transform: translate3d(-50%, -36%, 100px) scale(1.2);
    }
    .an-box:hover .an-name {
        top: 15px;
        opacity: 1;
    }

    .an-box-h2 {
        font-size: 4rem;
    }
    .an-box {
        height: 350px;
    }

    .button-top {
        right: 35px;
        font-size: 1.2rem;
    }

    .garis-bounce {
        right: 48px;
        width: 20px;
    }

    @keyframes arah {
        0%,
        50%,
        to {
            height: 50px;
            transform: scale(1, 1);
        }

        20%,
        70%,
        to {
            height: 30px;
            transform: scale(1, 0.4);
        }
        100% {
            height: 50px;
            transform: scale(1, 1);
        }
    }

    @keyframes atas {
        0%,
        50%,
        to {
            bottom: 130px;
            height: 50px;
        }

        20%,
        70%,
        to {
            bottom: 100px;
            height: 30px;
        }
        100% {
            bottom: 130px;
            height: 50px;
        }
    }
}

@media only screen and (max-width: 1200px) {
    .an-img {
        max-width: 270px;
    }
}
@media only screen and (max-width: 995px) {
    .box:nth-child(1) {
        display: inline-block;
    }
    .box:nth-child(2) {
        display: inline-block;
    }
    .nav-link:hover::after {
        display: none;
    }
}
@media only screen and (min-width: 768px) {
    .cover {
        max-height: 300px;
        overflow: hidden;
    }
    .port-large {
        display: none;
    }
}
@media only screen and (min-width: 996px) {
    .box {
        display: inline-block;
    }
    #load-more {
        display: none;
    }
}

